:root {
    --primary-color: rgb(206, 198, 198);
    --secondary-color: rgb(212, 73, 73);
    --tertiary-color: black;
}

* { 
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    background-color: var(--primary-color);
    font-family: Verdana, Geneva, Tahoma, sans-serif; 
}

header {
    z-index: 9999;
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    display:flex;
    flex-flow: row wrap;
    align-items: center;
    padding: 20px;
    padding-left: 0;
    background-color: var(--primary-color);
}

header h1 {
    padding-left: 10vw;
    padding-right: 1vw;
    background-color: var(--secondary-color);
    flex: 1 1 40%;
    text-align: end;
}
header nav {
   padding-left: 3vw;
   margin-top: 3vw;
   flex: 1 0 60%;
   
}

header nav ul {
    list-style-type: none;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-around;
    }

    header nav ul li {
      
        border-bottom: solid 1px var(--secondary-color);

    }

    header nav ul li a{
        text-decoration: none;
        color: var(--tertiary-color);
        font-weight: bold;
    }   

    .hero {
        width: 100%;
        height: 150px;
        background-image: url("../images/hero-bg.jpg");
        background-color: var(--primary-color); /* Used if the image is unavailable */
        background-position: center; /* Center the image */
        background-repeat: no-repeat; /* Do not repeat the image */
        background-size: cover; /* Resize the background image to cover the entire container */
    }
        
    .hero-text {
        justify-content: flex-end;
        align-items: flex-end;
        width: 100%;
        height: 100%;
        display: flex;
        }

    .hero-text p {
        color: var(--tertiary-color);
        background-color: var(--secondary-color);
        padding: 1vw;
        margin-bottom: 2vw;
        margin-right: 2vw;
    }    



    .about-me {
    padding: 20px 00px 20px 0px;  
    scroll-margin-top: 10em;
    }

    .about {
    flex: 1 1 60%;
    padding: 5vw;
    }

    .portfolio {
        display: flex;
        flex-direction:column;
        scroll-margin-top: 10em;
    }
.projects {
    margin: 0 auto;
    padding: 5px;
  
}

.project {
    max-width: 100%;
    max-height: 30vw;
    position: relative;
    margin: 5px;
    }

.project img {
       max-width: 100%;
       min-width: 100%;  
       max-height: 30vw; 
       border: 2px solid var(--tertiary-color);   
    }




.location {
    background-color: var(--tertiary-color);
    color: var(--secondary-color); 
    padding: 3px 3px 3px 15px;
    position: absolute;
    bottom: 8px;
    left: 0px;
    font-size: 2vw;
    line-height: .7;
   }

   .language { 
       font-size: 1.1vw;

   }

.section-title {
    padding: 3vw;
    padding-left: 0;
    width:75%;
    margin: 0;
    margin-bottom: 1vw;
    text-align: end;
    border-right: 1px solid var(--tertiary-color); 
    border-bottom: 1px solid var(--tertiary-color);
    }    
    
        .section-title h2 {
            padding-left: 10vw;
    padding-right: 1vw;
    background-color: var(--secondary-color);
        }

.contact-me {
     
scroll-margin-top: 10em;
padding-top: 5vw 0vw;



 }

 .contact {
     padding: 5vw 0;
     line-height: 1.5;
     font-weight: bold;
 }

.contact ul {
    list-style-type: none;
}

.contact ul li {
    text-align: center;
    
}
.contact ul li a {
    text-decoration: none;
    color: var(--tertiary-color);

}

    @media screen and (min-width: 575px) {

        .about-me {
            scroll-margin-top: 7em;
            display: flex;
            flex-flow: row wrap;
            justify-content: flex-start;
        }

        .portfolio {
            scroll-margin-top: 7em;
            
        }
     .contact-me {

        display: flex;
        flex-flow: column wrap;
        justify-content: flex-start;
             
        }

    .contact ul {
        padding: 0 5vw;
    }
    .contact ul li {
        display: inline;
        margin: 0vw 3vw;
    }
    }
  

    

    @media screen and (min-width: 768px) {

        

        

       header h1 {
           width: 40%;
       }
       
        .about-me {
            display: flex;
            flex-direction: row;
        }
        .portfolio {
            flex-direction: row;
    }
    .projects {
        display:flex;
        flex-flow: row wrap;
        justify-content: space-around;
        }
    
       
    .small {
        flex: 1 0 45%;

        height: 15vh;
    }

    .small img {
        height: 100%;   
    }
    .large {
        flex: 1 0 auto;
    }

    .contact-me {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    .contact {
       flex: 1 1 auto;
    }
    .contact ul {
        display:flex;
        justify-content: space-evenly;
            }
    .section-title {
        width: 30%;
        border-bottom: none;
        flex-shrink:0;
        margin-right: 3vw;
}
       
    }

    @media screen and (min-width: 980px) {


        header nav {
            margin: 0;
        }

        header nav ul li a:hover{
            text-decoration: none;
            color: var(--secondary-color);
        } 
        
    }



